Summary: The ECLiPt Roaster is a graphical frontend to cdrecord and mkisofs. 
Name: eroaster
Version: 2.0b8
Release: 1
Copyright: GPL
Group: Applications/Archiving 
URL: http://eclipt.uni-klu.ac.at
Source: ftp://eclipt.uni-klu.ac.at/pub/projects/%{name}/%{name}-%{version}.tar.gz
Patch0: makefile.in-2.0b8.patch
Packager: Martin Preishuber <Martin.Preishuber@stuco.uni-klu.ac.at>
BuildArch: noarch
BuildRoot: /var/tmp/%{name}-root
PreReq: pygtk >= 0.6.6 , cdrecord >= 1.9 , mkisofs >= 1.9
PreReq: python >= 1.5 , pygnome >= 1.0.53 , pygnome-applet >= 1.0.53
PreReq: cdda2wav >= 1.9
BuildPrereq: pygtk >= 0.6.6 , python >= 1.5 , pygnome >= 1.0.53

%description
The ECLiPt Roaster is a graphical frontend to cdrecord and mkisofs. Features
include:

  - Writing data & audio CDs and ISO images on the fly
  - Drag and Drop support
  - Nice user interface
  - Informative output window
  - Auto-selection of files to fill CDs

%prep
%setup -q
%patch0 -p1

%build
%configure --libdir=%{_libdir}/eroaster

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall libdir=$RPM_BUILD_ROOT%{_libdir}/eroaster

mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Applications
cat > $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Applications/eroaster.desktop <<EOF
[Desktop Entry]
Name=eroaster
Type=Application
Description= ECLiPt Roaster
Exec=eroaster
EOF

cd $RPM_BUILD_ROOT%{_libdir}/eroaster
for i in *.py ; do
    python -c "import py_compile; py_compile.compile('$i')"
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/COPYING doc/ChangeLog doc/INSTALL 
%doc doc/THANKS doc/TODO doc/FAQ
%{_prefix}/bin/eroaster
%{_prefix}/share/eroaster
%{_prefix}/lib/eroaster
%{_datadir}/gnome/apps/Applications/eroaster.desktop

%changelog
* Wed Oct 25 2000 Tim Powers <timp@redhat.com>
- update to 2.0b8
- byte compile the .py files the right way, don't suck in the
  buildroot dir.
- changed Requires to PreReq, updated all the dependancies
- some 
- gnome app, moved applnk file to gnome menu entry

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri May 26 2000 Tim Powers <timp@redhat.com>
- use %configure instead of ./configure, put it in build section
- use %{_prefix} wherever possible
- added desktop file for applnk
- don't glob files in %{_prefix}/lib/eroaster, or in
  %{_prefix}/share/eroaster/pixmaps/* just own the %{_prefix}/lib/eroaster,
  %and %{_prefix}/share/eroaster/ dirs since it picks everything up inside 
- quiet setup

* Sun Feb 06 2000 Martin Preishuber <Martin.Preishuber@stuco.uni-klu.ac.at>
- [1.99a-1]
* Tue Jan 25 2000 Martin Preishuber <Martin.Preishuber@stuco.uni-klu.ac.at>
- [1.99-2]
  added cdrecord and cdrecord-mkisofs to the requirements
* Tue Jan 25 2000 Martin Preishuber <Martin.Preishuber@stuco.uni-klu.ac.at>
- [initial spec]
